Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security
Class IPAddressAuthentication

    java.lang.Object
      org.deegree.security.AbstractAuthentication
          org.deegree.security.IPAddressAuthentication

    public class IPAddressAuthentication

extends AbstractAuthentication

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Field Summary
`protected static String` | `AUTH_PARAM_IPADDRESS`
`protected static String` | `INIT_PARAM_PATTERN`

Fields inherited from class org.deegree.security.AbstractAuthentication
`initParams`

Constructor Summary
`IPAddressAuthentication(String authenticationName, Map<String,String> initParams)`

Method Summary
`User` | `authenticate(Map<String,String> params)` authenticates a user and returns an instance of `User` if authentication has been successfull.

Methods inherited from class org.deegree.security.AbstractAuthentication
`getAuthenticationName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTH_PARAM_IPADDRESS

    protected static final String AUTH_PARAM_IPADDRESS

See Also:
  Constant Field Values

### INIT_PARAM_PATTERN

    protected static final String INIT_PARAM_PATTERN

See Also:
  Constant Field Values

Constructor Detail

### IPAddressAuthentication

    public IPAddressAuthentication(String authenticationName,
                                   Map<String,String> initParams)

Parameters:
  `authenticationName` -
  `initParams` -

Method Detail

### authenticate

    public User authenticate(Map<String,String> params)
                      throws WrongCredentialsException

  Description copied from class: `AbstractAuthentication`
  authenticates a user and returns an instance of `User` if authentication has been successfull. Otherwise a WrongCredentialsException will be thrown.

  Specified by:
    `authenticate` in class `AbstractAuthentication`
  Parameters:
    `params` - authentication parameters
  Returns:
    an instance of User
  Throws:
    `WrongCredentialsException` - if authentication was not successfull

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org